---
# Some ansible collections are not installed by default, but can be installed via an external
# plugin like this one.
- name: Install Ansible's community.general collection
  hosts: all
  gather_facts: false

  tasks:
    - name: Wait for system to become reachable
      wait_for_connection:
        timeout: 300
    - name: Ensure Ansible is installed
      pip:
        name: ansible=={{ remote_ansible_version | default('2.9') }}
        executable: pip3
    - name: Print installed collections
      block:
        - name: Obtain installed collection list
          shell: ansible-galaxy collection list
          register: collection_list
        - name: Print list
          debug: var=collection_list.stdout_lines
    - name: Install Ansible's community.general collection
      shell: ansible-galaxy collection install community.general
    - name: Print installed collections
      block:
        - name: Obtain installed collection list
          shell: ansible-galaxy collection list
          register: collection_list
        - name: Print list
          debug: var=collection_list.stdout_lines